# select1st Struct Template Reference
[STL extensions from SGI]

List of all members.

### template<class _Pair>
struct __gnu_cxx::select1st< _Pair >

## Public Types

- typedef _Pair argument_type
- typedef _Pair::first_type result_type

## Member Typedef Documentation

typedef _Pair argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef _Pair::first_type result_type `[inherited]`

| argument (no surprises here) `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- ext/functional